BluetoothView

BluetoothView v1.11
Copyright (c) 2008 Nir Sofer
Web site: http://www.nirsoft.net

Description

BluetoothView is a small utility that runs in the background, and monitor the activity of Bluetooth devices around you. For each detected Bluetooth device, it displays the following information: Device Name, Bluetooth Address, Major Device Type, Minor Device Type, First Detection Time, Last Detection Time, and more.
BluetoothView can also notify you when a new Bluetooth device is detected, by displaying a balloon in your taskbar or by playing a small beep sound.

Versions History

  • Version 1.11 - Added update rate (low/medium/high)
  • Version 1.10 - Added 'Company Name' column (see below)
  • Version 1.06 - Added new option: Select Another Font.
  • Version 1.05 - Fixed bug: The main window lost the focus when the user switched to another application and then returned back to BluetoothView.
  • Version 1.04 - Fixed bug in saving as comma-delimited file when description or name fields contained comma character.
  • Version 1.03 - Added support for saving as comma-delimited file.
  • Version 1.02 - Added 'Automatically Set Device Description' option.
  • Version 1.01 - Added 'Remove Selected Items' option. (The removed items will be considered as new in the next time that BluetoothView detect them)
  • Version 1.00 - First release.

What can you do with BluetoothView ?

If you have neighbors or family members that use a cellular phone with Bluetooth turned on:
  • You can easily know when they come home and when they leave, by using the 'First Detected On' and 'Last Detected On' fields.
  • Each time that a new device is detected, BluetoothView automatically displays an alert as a balloon in your taskbar. This means that you can detect when your neighbors/friends/family members are coming even before they knock on your door...

System Requirements

  • Bluetooth Dongle
  • Windows XP/SP2 or Windows Vista. Other versions of Windows don't provide a build-in support for Bluetooth, and thus BluetoothView cannot work with them.

Start Using BluetoothView

BluetoothView doesn't require any installation process or additional DLL files. In order to start using it, simply copy the executable file (BluetoothView.exe) to any folder you like, and run it.
A few seconds after you run it, BluetoothView will start to gradually display all detected Bluetooth around you.

The 'Company Name' Column

Starting from version 1.10, BluetoothView allows you to view the company name of each BluetoothView device. The company name is determined according to the Bluetooth address. However, in order to get this feature, you must download the following external file, and put in the same folder of BluetoothView.exe: http://standards.ieee.org/regauth/oui/oui.txt
Be aware that you must save it as 'oui.txt'

The Description Column

In addition to the name of Bluetooth device, you can set your own short description to allow you to easily detect the device in the future. The description that you set will also be displayed in the taskbar balloon, when the device is detected as a new one.
In order to set a description, double-click the desired item, and in the 'Description' field, simply type the description text and click 'OK'.

More Tips For Using BluetoothView

  • You can use the 'Hide Main Window' option for hiding the main window of BluetoothView. When you want to show back the main window, simply double-click the tray icon. While the main window is hidden, BluetoothView will display a balloon alert on each time that a new Bluetooth device is detected.
  • If you want to clear all current Bluetooth devices that are currently displayed and start the Bluetooth detection from the beginning, simply use the 'Reset' option.

    Translating BluetoothView to other languages

    In order to translate BluetoothView to other language, follow the instructions below:
    1. Run BluetoothView with /savelangfile parameter:
      BluetoothView.exe /savelangfile
      A file named BluetoothView_lng.ini will be created in the folder of BluetoothView utility.
    2. Open the created language file in Notepad or in any other text editor.
    3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
    4. After you finish the translation, Run BluetoothView, and all translated strings will be loaded from the language file.
      If you want to run BluetoothView without the translation, simply rename the language file, or move it to another folder.

    License

    This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

    Disclaimer

    The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

    Feedback

    If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com